Package org.apache.nutch.crawl

## Class Generator.SelectorInverseMapper

- java.lang.Object
- - org.apache.hadoop.mapreduce.Mapper<FloatWritable,​Generator.SelectorEntry,​Text,​Generator.SelectorEntry>
  - - org.apache.nutch.crawl.Generator.SelectorInverseMapper

- Enclosing class:
    Generator

      public static class Generator.SelectorInverseMapper
      extends Mapper<FloatWritable,​Generator.SelectorEntry,​Text,​Generator.SelectorEntry>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper

      `Mapper.Context`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SelectorInverseMapper()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `map​(FloatWritable key, Generator.SelectorEntry value, Mapper.Context context)` |

    - ### Methods inherited from class org.apache.hadoop.mapreduce.Mapper

      `cleanup, run, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectorInverseMapper

          public SelectorInverseMapper()

  - ### Method Detail

    - #### map

          public void map​(FloatWritable key,
                          Generator.SelectorEntry value,
                          Mapper.Context context)
                   throws IOException,
                          InterruptedException

      Overrides:
        `map` in class `Mapper<FloatWritable,​Generator.SelectorEntry,​Text,​Generator.SelectorEntry>`
      Throws:
        `IOException`
        `InterruptedException`